#pragma rtGlobals=3		// Use modern global access method and strict wave access.

Menu "Load Waves"
	"Load Aroob File...", LoadAroobFile("", "")
End

// GetColumnInfoStr()
// Returns a string containing wave names suitable for use with LoadWave /B flag.
static Function/S GetColumnInfoStr()
	String columnInfoStr = ""

	columnInfoStr += "N='UTC';"
	columnInfoStr += "N='JDAY';"
	columnInfoStr += "N='INDEX';"
	columnInfoStr += "N='FLIGHT';"
	columnInfoStr += "N='LOCAL_SUN_TIME';"
	columnInfoStr += "N='LATITUDE';"
	columnInfoStr += "N='LONGITUDE';"
	columnInfoStr += "N='ALTP';"
	columnInfoStr += "N='PRESSURE';"
	columnInfoStr += "N='TEMPERATURE';"
	
	columnInfoStr += "N='THETA';"
	columnInfoStr += "N='O3COLUMN';"
	columnInfoStr += "N='SZA';"
	columnInfoStr += "N='WNS';"
	columnInfoStr += "N='WND';"
	columnInfoStr += "N='GPS_ALT';"
	columnInfoStr += "N='RadarAlt';"
	columnInfoStr += "N='GRD_SPD';"
	columnInfoStr += "N='TAS';"
	columnInfoStr += "N='IAS';"
	
	columnInfoStr += "N='MachNumber0';"
	columnInfoStr += "N='VerticalSpeed1';"
	columnInfoStr += "N='HDG';"
	columnInfoStr += "N='TRK';"
	columnInfoStr += "N='DriftAngle';"
	columnInfoStr += "N='PITCH';"
	columnInfoStr += "N='ROLL';"
	columnInfoStr += "N='StaticTemp_Experimenter';"
	columnInfoStr += "N='PotentialTemp';"
	columnInfoStr += "N='Dewpoint';"
	
	columnInfoStr += "N='TotalTemp';"
	columnInfoStr += "N='TotalTemp_Experimenter';"
	columnInfoStr += "N='IR_SurfTemp';"
	columnInfoStr += "N='CabinPressure';"
	columnInfoStr += "N='SolarZenithAngle';"
	columnInfoStr += "N='AircraftSunElevation';"
	columnInfoStr += "N='SunAzimuth';"
	columnInfoStr += "N='AircraftSunAzimuth';"
	columnInfoStr += "N='H2O_MixingRatio';"
	columnInfoStr += "N='H2O_VaporPres';"
	
	columnInfoStr += "N='H2O_SatVaporPresWater';"
	columnInfoStr += "N='H2O_SatVaporPresIce';"
	columnInfoStr += "N='H2O_RelativeHumidity';"
	columnInfoStr += "N='StaticPressure_MMS';"
	columnInfoStr += "N='StaticTemp_MMS';"
	columnInfoStr += "N='TAS_MMS';"
	columnInfoStr += "N='U_MMS';"
	columnInfoStr += "N='V_MMS';"
	columnInfoStr += "N='W_MMS';"
	columnInfoStr += "N='TurbDissipationRate';"
	
	columnInfoStr += "N='ReynoldsNumber_MMS';"
	columnInfoStr += "N='GPS_LAT_MMS';"
	columnInfoStr += "N='GPS_LON_MMS';"
	columnInfoStr += "N='GPS_ALT_MMS';"
	columnInfoStr += "N='THETA_MMS';"
	columnInfoStr += "N='ROLL_MMS';"
	columnInfoStr += "N='HDG_MMS';"
	columnInfoStr += "N='PITCH_MMS';"
	columnInfoStr += "N='U_AIMMS20';"
	columnInfoStr += "N='V_AIMMS20';"
	
	columnInfoStr += "N='W_AIMMS20';"
	columnInfoStr += "N='CO2';"
	columnInfoStr += "N='CO_DACOM';"
	columnInfoStr += "N='CO-SourceFlag_DACOM';"
	columnInfoStr += "N='H2O_DLH';"
	columnInfoStr += "N='CH2O_CAMS';"
	columnInfoStr += "N='CH2O_LIF';"
	columnInfoStr += "N='NO2_ESRL';"
	columnInfoStr += "N='NOy_ESRL';"
	columnInfoStr += "N='NO_ESRL';"
	
	columnInfoStr += "N='O3_ESRL';"
	columnInfoStr += "N='NO2_TDLIF';"
	columnInfoStr += "N='MPN_TDLIF';"
	columnInfoStr += "N='PNs_TDLIF';"
	columnInfoStr += "N='ANs_TDLIF';"
	columnInfoStr += "N='HNO3_NO3-lt1um_SAGA';"
	columnInfoStr += "N='Sulfate-lt1um_SAGA';"
	columnInfoStr += "N='Cl_SAGA-AERO';"
	columnInfoStr += "N='Br_SAGA-AERO';"
	columnInfoStr += "N='NO3_SAGA-AERO';"
	
	columnInfoStr += "N='SO4_SAGA-AERO';"
	columnInfoStr += "N='C2O4_SAGA-AERO';"
	columnInfoStr += "N='Na_SAGA-AERO';"
	columnInfoStr += "N='NH4_SAGA-AERO';"
	columnInfoStr += "N='K_SAGA-AERO';"
	columnInfoStr += "N='Mg_SAGA-AERO';"
	columnInfoStr += "N='Ca_SAGA-AERO';"
	columnInfoStr += "N='PAN_GTCIMS';"
	columnInfoStr += "N='PPN_GTCIMS';"
	columnInfoStr += "N='APAN_GTCIMS';"
	
	columnInfoStr += "N='PiBN_GTCIMS';"
	columnInfoStr += "N='SO2_GTCIMS';"
	columnInfoStr += "N='HCl_GTCIMS';"
	columnInfoStr += "N='HNO4_GTCIMS';"
	columnInfoStr += "N='J[O3->O2+O(1D)]';"
	columnInfoStr += "N='J[NO2->NO+O(3P)]';"
	columnInfoStr += "N='J[H2O2->2OH]';"
	columnInfoStr += "N='J[N2O5->NO3+NO2]';"
	columnInfoStr += "N='J[HNO2->OH+NO]';"
	columnInfoStr += "N='J[HNO3->OH+NO2]';"
	
	columnInfoStr += "N='J[HNO4->HO2+NO2]';"
	columnInfoStr += "N='J[CH2O->H+HCO]';"
	columnInfoStr += "N='J[CH2O->H2+CO]';"
	columnInfoStr += "N='J[CH3CHO->CH3+HCO]';"
	columnInfoStr += "N='J[C2H5CHO->C2H5+HCO]';"
	columnInfoStr += "N='J[CH3OOH->CH3O+OH]';"
	columnInfoStr += "N='J[CH3ONO2->CH3O+NO2]';"
	columnInfoStr += "N='J[CH3CH2ONO2->CH3CH2O+NO2]';"
	columnInfoStr += "N='J[CH3CO...->CH3CO(OO)+NO2]';"		// J[CH3CO(OONO2)[PAN]->CH3CO(OO)+NO2] is too long - replaced with J[CH3CO...->CH3CO(OO)+NO2]
	columnInfoStr += "N='J[CH3CO...->CH3CO(O)+NO3]';"		// J[CH3CO(OONO2)[PAN]->CH3CO(O)+NO3] is too long - replaced with J[CH3CO...->CH3CO(O)+NO3]
	
	columnInfoStr += "N='J[MAC->Products]';"
	columnInfoStr += "N='J[MVK->Products]';"
	columnInfoStr += "N='J[CH3COCH3->CH3CO+CH3]';"
	columnInfoStr += "N='J[CH3COCH2CH3->CH3CO+CH2CH3]';"
	columnInfoStr += "N='J[CHOCHO->HCO+HCO]';"
	columnInfoStr += "N='J[CHOCHO->H2+2CO]';"
	columnInfoStr += "N='J[CHOCHO->CH2O+CO]';"
	columnInfoStr += "N='J[CH3COCHO->CH3CO+HCO]';"
	columnInfoStr += "N='J[Cl2->Cl+Cl]';"
	columnInfoStr += "N='J[ClO->Cl+O(3P)]';"
	
	columnInfoStr += "N='J[ClNO2->Cl+NO2]';"
	columnInfoStr += "N='J[ClONO->Cl+NO2]';"
	columnInfoStr += "N='J[ClONO2->Cl+NO3]';"
	columnInfoStr += "N='J[ClONO2->ClO+NO2]';"
	columnInfoStr += "N='J[Br2->Br+Br]';"
	columnInfoStr += "N='J[BrO->Br+O]';"
	columnInfoStr += "N='J[HOBr->OH+Br]';"
	columnInfoStr += "N='J[BrNO->Br+NO]';"
	columnInfoStr += "N='J[BrONO->Br+NO2]';"
	columnInfoStr += "N='J[BrONO->BrO+NO]';"
	
	columnInfoStr += "N='J[BrNO2->Br+NO2]';"
	columnInfoStr += "N='J[BrONO2->BrO+NO2]';"
	columnInfoStr += "N='J[BrONO2->Br+NO3]';"
	columnInfoStr += "N='J[BrCl->Br+Cl]';"
	columnInfoStr += "N='J[CHBr3->Products]';"
	columnInfoStr += "N='J[CH3CH2CH2CHO->C3H7+HCO]';"
	columnInfoStr += "N='J[CH3CH2CH2CHO->C2H4+CH2CHOH]';"
	columnInfoStr += "N='J[Br2O->Products]';"
	columnInfoStr += "N='Org-lt-1um_AMS';"
	columnInfoStr += "N='Sulfate-lt-1um_AMS';"
	
	columnInfoStr += "N='Nitrate-lt-1um_AMS';"
	columnInfoStr += "N='Ammonium-lt-1um_AMS';"
	columnInfoStr += "N='Chloride-lt-1um_AMS';"
	columnInfoStr += "N='stdPT-to-AMB_Conversion_AMS';"
	columnInfoStr += "N='PM1-Inlet-Corr_AMS';"
	columnInfoStr += "N='IceFlag_AMS';"
	columnInfoStr += "N='OtoC-ratio-lt-1um_AMS';"
	columnInfoStr += "N='HtoC-ratio-lt-1um_AMS';"
	columnInfoStr += "N='OMtoO-Cratio-ratio-lt-1um_AMS';"
	columnInfoStr += "N='f43-lt-1um_AMS';"
	
	columnInfoStr += "N='f44-lt-1um_AMS';"
	columnInfoStr += "N='f57-lt-1um_AMS';"
	columnInfoStr += "N='f60-lt-1um_AMS';"
	columnInfoStr += "N='AmmBalance-lt-1um_AMS';"
	columnInfoStr += "N='OrgNitr-AerosolNitr-ratio';"		// OrgNitr-AerosolNitr-ratio-lt-1um_AMS too long - changed to 
	columnInfoStr += "N='WSOC';"
	columnInfoStr += "N='WS-Abs365nm';"
	columnInfoStr += "N='MS-Abs365nm';"
	columnInfoStr += "N='BC_mass_90to550nm_HDSP2';"
	columnInfoStr += "N='CNgt3nm';"
	
	columnInfoStr += "N='CNgt10nm';"
	columnInfoStr += "N='CNgt10nm_nonvol';"
	columnInfoStr += "N='NumConc-STP_CCN';"
	columnInfoStr += "N='NumConc-amb_CCN';"
	columnInfoStr += "N='Supersaturation_CCN';"
	columnInfoStr += "N='IntegN_Daero-PSL_APS_LARGE';"
	columnInfoStr += "N='IntegS_Daero-PSL_APS_LARGE';"
	columnInfoStr += "N='IntegV_Daero-PSL_APS_LARGE';"
	columnInfoStr += "N='IntegN_Dopt-PSL_LAS_LARGE';"
	columnInfoStr += "N='IntegS_Dopt-PSL_LAS_LARGE';"
	
	columnInfoStr += "N='IntegV_Dopt-PSL_LAS_LARGE';"
	columnInfoStr += "N='IntegN_Dmob-PSL_SMPS_LARGE';"
	columnInfoStr += "N='IntegS_Dmob-PSL_SMPS_LARGE';"
	columnInfoStr += "N='IntegV_Dmob-PSL_SMPS_LARGE';"
	columnInfoStr += "N='IntegN_Dopt-AmmSO4_UHSAS_LARGE';"
	columnInfoStr += "N='IntegS_Dopt-AmmSO4_UHSAS_LARGE';"
	columnInfoStr += "N='IntegV_Dopt-AmmSO4_UHSAS_LARGE';"
	columnInfoStr += "N='IntegN_Dopt-PSL_UHSAS_LARGE';"
	columnInfoStr += "N='IntegS_Dopt-PSL_UHSAS_LARGE';"
	columnInfoStr += "N='IntegV_Dopt-PSL_UHSAS_LARGE';"
	
	columnInfoStr += "N='stdPT-to-AMB_Conversion_NOAA';"
	columnInfoStr += "N='Meas-RH_NOAA';"
	columnInfoStr += "N='Asym-Param_70to1000nm_NOAA';"
	columnInfoStr += "N='IntegN_Dopt70to1000nm-AmmSO4';"		// IntegN_Dopt70to1000nm-AmmSO4_NOAA too long - changed to IntegN_Dopt70to1000nm-AmmSO4
	columnInfoStr += "N='IntegS_Dopt70to1000nm-AmmSO4';"		// IntegS_Dopt70to1000nm-AmmSO4_NOAA too long - changed to IntegS_Dopt70to1000nm-AmmSO4
	columnInfoStr += "N='IntegV_Dopt70to1000nm-AmmSO4';"		// IntegV_Dopt70to1000nm-AmmSO4_NOAA too long - changed to IntegV_Dopt70to1000nm-AmmSO4
	columnInfoStr += "N='SCAT550nm-amb_total_LARGE';"
	columnInfoStr += "N='SCAT450nm-dry_total_LARGE';"
	columnInfoStr += "N='SCAT550nm-dry_total_LARGE';"
	columnInfoStr += "N='SCAT700nm-dry_total_LARGE';"
	
	columnInfoStr += "N='SCAT450nm-dry_lt1um_LARGE';"
	columnInfoStr += "N='SCAT550nm-dry_lt1um_LARGE';"
	columnInfoStr += "N='SCAT700nm-dry_lt1um_LARGE';"
	columnInfoStr += "N='ABS470nm-dry_total_LARGE';"
	columnInfoStr += "N='ABS532nm-dry_total_LARGE';"
	columnInfoStr += "N='ABS660nm-dry_total_LARGE';"
	columnInfoStr += "N='EXT532nm-amb_total_LARGE';"
	columnInfoStr += "N='EXT532nm-dry_total_LARGE';"
	columnInfoStr += "N='gamma-550nm_LARGE';"
	columnInfoStr += "N='fRH-550nm_RH20to80_LARGE';"
	
	columnInfoStr += "N='AE_SCAT_450to550nm_LARGE';"
	columnInfoStr += "N='AE_ABS_450to550nm_LARGE';"
	columnInfoStr += "N='SSA450nm-dry_TSIandPSAP_LARGE';"
	columnInfoStr += "N='SSA550nm-dry_TSIandPSAP_LARGE';"
	columnInfoStr += "N='SSA700nm-dry_TSIandPSAP_LARGE';"
	columnInfoStr += "N='SSA550nm-amb_TSIandPSAP_LARGE';"
	columnInfoStr += "N='stdPT-to-AMB_Conversion_LARGE';"
	columnInfoStr += "N='InletFlag_LARGE';"
	columnInfoStr += "N='ABS404nm-dry_NOAA-AeroAbs';"
	columnInfoStr += "N='ABS532nm-dry_NOAA-AeroAbs';"
	
	columnInfoStr += "N='ABS660nm-dry_NOAA-AeroAbs';"
	columnInfoStr += "N='EXT405nm-dry_NOAA-AeroExt';"
	columnInfoStr += "N='EXT532nm-dry_NOAA-AeroExt';"
	columnInfoStr += "N='EXT662nm-dry_NOAA-AeroExt';"
	columnInfoStr += "N='EXT532nm-medRH_NOAA-AeroExt';"
	columnInfoStr += "N='EXT532nm-highRH_NOAA-AeroExt';"
	columnInfoStr += "N='EXT405nm-TD_NOAA-AeroExt';"
	columnInfoStr += "N='EXT662nm-TD_NOAA-AeroExt';"
	columnInfoStr += "N='RHdry_NOAA-AeroExt';"
	columnInfoStr += "N='RHmed_NOAA-AeroExt';"
	
	columnInfoStr += "N='RHhigh_NOAA-AeroExt';"
	columnInfoStr += "N='stdPT-to-AMB_Conversion-AeroExt';"	// stdPT-to-AMB_Conversion_NOAA-AeroExt too long - changed to stdPT-to-AMB_Conversion-AeroExt
	columnInfoStr += "N='AE_EXT_405to532nm_AOP';"
	columnInfoStr += "N='AE_EXT_405to662nm_AOP';"
	columnInfoStr += "N='fRH-532nm_RH20to70_AOP';"
	columnInfoStr += "N='fRH-532nm_RH20to90_AOP';"
	columnInfoStr += "N='gamma-532nm_RH20to90_AOP';"
	columnInfoStr += "N='EXT532nm-amb_AOP';"
	columnInfoStr += "N='Dp_DASH';"
	columnInfoStr += "N='RH_DASH';"
	
	columnInfoStr += "N='GrowthFactor_DASH';"
	columnInfoStr += "N='SampleVolume_2DS';"
	columnInfoStr += "N='ParticleConc_2DS';"
	columnInfoStr += "N='ParticleExt_2DS';"
	columnInfoStr += "N='IWC_2DS';"
	columnInfoStr += "N='IrregularCount_2DS';"
	columnInfoStr += "N='MeanDiameter_2DS';"
	columnInfoStr += "N='MedianVolDiameter_2DS';"
	columnInfoStr += "N='EffectiveDiameter_2DS';"
	columnInfoStr += "N='TotalCount_2DS';"
	
	columnInfoStr += "N='ParticleConc_FCDP';"
	columnInfoStr += "N='ParticleExt_FCDP';"
	columnInfoStr += "N='LWC_FCDP';"
	columnInfoStr += "N='SampleVolume_FCDP';"
	columnInfoStr += "N='EventCount';"
	columnInfoStr += "N='SampleVolume_HVPS';"
	columnInfoStr += "N='ParticleConc_HVPS';"
	columnInfoStr += "N='ParticleExt_HVPS';"
	columnInfoStr += "N='IWC_HVPS';"
	columnInfoStr += "N='IrregularCount_HVPS';"
	
	columnInfoStr += "N='MeanDiameter_HVPS';"
	columnInfoStr += "N='MedianVolDiameter_HVPS';"
	columnInfoStr += "N='EffectiveDiameter_HVPS';"
	columnInfoStr += "N='ParticleCount_75to225um_HVPS';"
	columnInfoStr += "N='ParticleCount_225to3825um_HVPS';"
	columnInfoStr += "N='ParticleCount_gt3825um_HVPS';"
	columnInfoStr += "N='TotalCount_HVPS';"
	columnInfoStr += "N='PHASE_GOES13';"
	columnInfoStr += "N='IcingIndex_GOES13';"
	columnInfoStr += "N='CloudOpticalDepth-MEAN_GOES13';"
	
	columnInfoStr += "N='R-eff-MEAN_GOES13';"
	columnInfoStr += "N='D-eff-MEAN_GOES13';"
	columnInfoStr += "N='LWP-MEAN_GOES13';"
	columnInfoStr += "N='IWP-MEAN_GOES13';"
	columnInfoStr += "N='IR-emit-MEAN_GOES13';"
	columnInfoStr += "N='T-eff-MEAN_GOES13';"
	columnInfoStr += "N='Z-top-MEAN_GOES13';"
	columnInfoStr += "N='Z-eff-MEAN_GOES13';"
	columnInfoStr += "N='Z-bot-MEAN_GOES13';"
	columnInfoStr += "N='Z-thk-MEAN_GOES13';"
	
	columnInfoStr += "N='P-top-MEAN_GOES13';"
	columnInfoStr += "N='P-eff-MEAN_GOES13';"
	columnInfoStr += "N='P-bot-MEAN_GOES13';"
	columnInfoStr += "N='BroadbandAlbedo-MEAN_GOES13';"
	columnInfoStr += "N='BroadbandOLR-MEAN_GOES13';"
	columnInfoStr += "N='Reflectance-650nm-MEAN_GOES13';"
	columnInfoStr += "N='Temperature-10800nm-MEAN_GOES13';"
	columnInfoStr += "N='DT-390nm-10800nm-MEAN_GOES13';"	// TemperatureDifference-390nm-10800nm-MEAN_GOES13 too long - change to DT-390nm-10800nm-MEAN_GOES13
	columnInfoStr += "N='DT-10800nm-13300nm-MEAN_GOES13';"	// TemperatureDifference-10800nm-13300nm-MEAN_GOES13 too long - changed to DT-10800nm-13300nm-MEAN_GOES13
	columnInfoStr += "N='SOLZEN_GOES13';"

	columnInfoStr += "N='WaterPercentage_GOES13';"
	columnInfoStr += "N='ViewingZenithAngle_GOES13';"
	columnInfoStr += "N='PHASE_GOES15';"
	columnInfoStr += "N='IcingIndex_GOES15';"
	columnInfoStr += "N='CloudOpticalDepth-MEAN_GOES15';"
	columnInfoStr += "N='R-eff-MEAN_GOES15';"
	columnInfoStr += "N='D-eff-MEAN_GOES15';"
	columnInfoStr += "N='LWP-MEAN_GOES15';"
	columnInfoStr += "N='IWP-MEAN_GOES15';"
	columnInfoStr += "N='IR-emit-MEAN_GOES15';"

	columnInfoStr += "N='T-eff-MEAN_GOES15';"
	columnInfoStr += "N='Z-top-MEAN_GOES15';"
	columnInfoStr += "N='Z-eff-MEAN_GOES15';"
	columnInfoStr += "N='Z-bot-MEAN_GOES15';"
	columnInfoStr += "N='Z-thk-MEAN_GOES15';"
	columnInfoStr += "N='P-top-MEAN_GOES15';"
	columnInfoStr += "N='P-eff-MEAN_GOES15';"
	columnInfoStr += "N='P-bot-MEAN_GOES15';"
	columnInfoStr += "N='BroadbandAlbedo-MEAN_GOES15';"
	columnInfoStr += "N='BroadbandOLR-MEAN_GOES15';"

	columnInfoStr += "N='Reflectance-650nm-MEAN_GOES15';"
	columnInfoStr += "N='Temperature-10800nm-MEAN_GOES15';"
	columnInfoStr += "N='DT-390nm-10800nm-MEAN_GOES15';"	// TemperatureDifference-390nm-10800nm-MEAN_GOES15 too long - changed to DT-390nm-10800nm-MEAN_GOES15
	columnInfoStr += "N='DT-10800nm-13300nm-MEAN_GOES15';"	// TemperatureDifference-10800nm-13300nm-MEAN_GOES15 too long - changed to DT-10800nm-13300nm-MEAN_GOES15
	columnInfoStr += "N='SOLZEN_GOES15';"
	columnInfoStr += "N='WaterPercentage_GOES15';"
	columnInfoStr += "N='ViewingZenithAngle_GOES15';"
	columnInfoStr += "N='SulfOrgNitFrac_PALMS';"
	columnInfoStr += "N='BioBurnFrac_PALMS';"
	columnInfoStr += "N='SootFrac_PALMS';"

	columnInfoStr += "N='MineralFrac_PALMS';"
	columnInfoStr += "N='MeteoricFrac_PALMS';"
	columnInfoStr += "N='SeaSaltFrac_PALMS';"
	columnInfoStr += "N='OilCombFrac_PALMS';"
	columnInfoStr += "N='UnclassFrac_PALMS';"
	columnInfoStr += "N='OrgSulf-MF_PALMS';"
	columnInfoStr += "N='IEPOX-MF_PALMS';"
	columnInfoStr += "N='GAS-MF_PALMS';"
	columnInfoStr += "N='SulfNeut_PALMS';"
	columnInfoStr += "N='NPos_PALMS';"

	columnInfoStr += "N='NNeg_PALMS';"
	columnInfoStr += "N='NAcid_PALMS';"
	columnInfoStr += "N='BUTENE-HN_CIT';"
	columnInfoStr += "N='C3O3H6_CIT';"
	columnInfoStr += "N='C4O3H6_CIT';"
	columnInfoStr += "N='C4O3H8_CIT';"
	columnInfoStr += "N='C4O4H7N_CIT';"
	columnInfoStr += "N='C4O5H7N_CIT';"
	columnInfoStr += "N='C5O3H10_CIT';"
	columnInfoStr += "N='C5O3H8_CIT';"

	columnInfoStr += "N='C5O5H9N_CIT';"
	columnInfoStr += "N='ETHENE-HN_CIT';"
	columnInfoStr += "N='ETHLN_CIT';"
	columnInfoStr += "N='H2O_CIT';"
	columnInfoStr += "N='H2O2_CIT';"
	columnInfoStr += "N='HAC_CIT';"
	columnInfoStr += "N='HCN_CIT';"
	columnInfoStr += "N='HMHP_CIT';"
	columnInfoStr += "N='HNO3_CIT';"
	columnInfoStr += "N='IEPOX_CIT';"

	columnInfoStr += "N='ISOPN_CIT';"
	columnInfoStr += "N='ISOPOOH_CIT';"
	columnInfoStr += "N='PAA_CIT';"
	columnInfoStr += "N='PROPENE-HN_CIT';"
	columnInfoStr += "N='PROPNN_CIT';"
	columnInfoStr += "N='Acetaldehyde';"
	columnInfoStr += "N='Acetone_Propanal';"
	columnInfoStr += "N='Acetonitrile';"
	columnInfoStr += "N='Benzene';"
	columnInfoStr += "N='Isoprene-Furan';"

	columnInfoStr += "N='Methanol';"
	columnInfoStr += "N='Monoterpenes';"
	columnInfoStr += "N='MVK_MAC';"
	columnInfoStr += "N='Toluene';"
	columnInfoStr += "N='CH4_WAS';"
	columnInfoStr += "N='CO_WAS';"
	columnInfoStr += "N='OCS_WAS';"
	columnInfoStr += "N='DMS_WAS';"
	columnInfoStr += "N='CFC-12_WAS';"
	columnInfoStr += "N='CFC-11_WAS';"

	columnInfoStr += "N='CFC-113_WAS';"
	columnInfoStr += "N='CFC-114_WAS';"
	columnInfoStr += "N='HCFC-22_WAS';"
	columnInfoStr += "N='HCFC-124_WAS';"
	columnInfoStr += "N='HCFC-142b_WAS';"
	columnInfoStr += "N='HCFC-141b_WAS';"
	columnInfoStr += "N='HFC-134a_WAS';"
	columnInfoStr += "N='HFC-152a_WAS';"
	columnInfoStr += "N='H-1211_WAS';"
	columnInfoStr += "N='H-2402_WAS';"

	columnInfoStr += "N='H-1301_WAS';"
	columnInfoStr += "N='CHBr3_WAS';"
	columnInfoStr += "N='CHCl3_WAS';"
	columnInfoStr += "N='CH3Cl_WAS';"
	columnInfoStr += "N='CH3I_WAS';"
	columnInfoStr += "N='CH3Br_WAS';"
	columnInfoStr += "N='CH2Cl2_WAS';"
	columnInfoStr += "N='CH2Br2_WAS';"
	columnInfoStr += "N='C2HCl3_WAS';"
	columnInfoStr += "N='CHBrCl2_WAS';"

	columnInfoStr += "N='CHBr2Cl_WAS';"
	columnInfoStr += "N='CCl4_WAS';"
	columnInfoStr += "N='C2Cl4_WAS';"
	columnInfoStr += "N='CH3CCl3_WAS';"
	columnInfoStr += "N='1_2-dichloroethane_WAS';"
	columnInfoStr += "N='MeONO2_WAS';"
	columnInfoStr += "N='EtONO2_WAS';"
	columnInfoStr += "N='i-PrONO2_WAS';"
	columnInfoStr += "N='n-PrONO2_WAS';"
	columnInfoStr += "N='2-BuONO2_WAS';"

	columnInfoStr += "N='3-Methyl-2-BuONO2_WAS';"
	columnInfoStr += "N='3-PenONO2_WAS';"
	columnInfoStr += "N='2-PeONO2_WAS';"
	columnInfoStr += "N='Ethane_WAS';"
	columnInfoStr += "N='Ethene_WAS';"
	columnInfoStr += "N='Ethyne_WAS';"
	columnInfoStr += "N='Propane_WAS';"
	columnInfoStr += "N='Propene_WAS';"
	columnInfoStr += "N='Butane_WAS';"
	columnInfoStr += "N='n-Butane_WAS';"

	columnInfoStr += "N='1_2-Propadiene_WAS';"
	columnInfoStr += "N='trans-2-Butene_WAS';"
	columnInfoStr += "N='cis-2-Butene_WAS';"
	columnInfoStr += "N='1-Butene_WAS';"
	columnInfoStr += "N='i-Butene_WAS';"
	columnInfoStr += "N='Neopentane_WAS';"
	columnInfoStr += "N='1_3-Butadiene_WAS';"
	columnInfoStr += "N='i-Pentane_WAS';"
	columnInfoStr += "N='n-Pentane_WAS';"
	columnInfoStr += "N='1-Pentene_WAS';"

	columnInfoStr += "N='Isoprene_WAS';"
	columnInfoStr += "N='2_3-Dimethylbutane_WAS';"
	columnInfoStr += "N='2-Methylpentane_WAS';"
	columnInfoStr += "N='3-Methylpentane_WAS';"
	columnInfoStr += "N='n-Hexane_WAS';"
	columnInfoStr += "N='n-Heptane_WAS';"
	columnInfoStr += "N='Benzene_WAS';"
	columnInfoStr += "N='Toluene_WAS';"
	columnInfoStr += "N='Ethylbenzene_WAS';"
	columnInfoStr += "N='m+p-Xylene_WAS';"

	columnInfoStr += "N='o-Xylene_WAS';"
	columnInfoStr += "N='alpha-Pinene_WAS';"
	columnInfoStr += "N='beta-Pinene_WAS';"
	columnInfoStr += "N='DN-IR-Irrad_BBR';"
	columnInfoStr += "N='UP-IR-Irrad_BBR';"
	columnInfoStr += "N='DN-Solar-Irrad_BBR';"
	columnInfoStr += "N='UP-Solar-Irrad_BBR';"
	columnInfoStr += "N='DN500nm_SSFR';"
	columnInfoStr += "N='DN936nm_SSFR';"
	columnInfoStr += "N='DN1600nm_SSFR';"

	columnInfoStr += "N='DN350to700nm_SSFR';"
	columnInfoStr += "N='DN350to2150nm_SSFR';"
	columnInfoStr += "N='UP500nm_SSFR';"
	columnInfoStr += "N='UP936nm_SSFR';"
	columnInfoStr += "N='UP1600nm_SSFR';"
	columnInfoStr += "N='UP350to700nm_SSFR';"
	columnInfoStr += "N='UP350to2150nm_SSFR';"
	columnInfoStr += "N='Flag_4STAR';"
	columnInfoStr += "N='AerOptAmass_4STAR';"
	columnInfoStr += "N='T4temp_4STAR';"

	columnInfoStr += "N='ColumnWV_4STAR';"
	columnInfoStr += "N='AOD-380nm_4STAR';"
	columnInfoStr += "N='AOD-452nm_4STAR';"
	columnInfoStr += "N='AOD-501nm_4STAR';"
	columnInfoStr += "N='AOD-520nm_4STAR';"
	columnInfoStr += "N='AOD-532nm_4STAR';"
	columnInfoStr += "N='AOD-550nm_4STAR';"
	columnInfoStr += "N='AOD-606nm_4STAR';"
	columnInfoStr += "N='AOD-620nm_4STAR';"
	columnInfoStr += "N='AOD-675nm_4STAR';"

	columnInfoStr += "N='AOD-781nm_4STAR';"
	columnInfoStr += "N='AOD-865nm_4STAR';"
	columnInfoStr += "N='AOD-1020nm_4STAR';"
	columnInfoStr += "N='AOD-1040nm_4STAR';"
	columnInfoStr += "N='AOD-1064nm_4STAR';"
	columnInfoStr += "N='AOD-1236nm_4STAR';"
	columnInfoStr += "N='AOD-1559nm_4STAR';"
	columnInfoStr += "N='AOD-1627nm_4STAR';"
	
	return columnInfoStr
End

Function TestAroobNames()
	String columnInfoStr = GetColumnInfoStr()
	Variable numItems = ItemsInList(columnInfoStr)
	Printf "%d names total\r", numItems
	
	Variable numTooLong = 0
	
	Variable i
	for(i=0; i<numItems; i+=1)
		String item = StringFromList(i, columnInfoStr)
		Variable len = strlen(item)
		if (len > (31 + 3 + 1))		// 31 for name, 3 for "N='", 1 for trailing "'"
			Printf "Column %d name is too long: %s\r", i, item
			numTooLong += 1
		endif
	endfor
	
	Printf "Number of names too long: %d\r", numTooLong
End

Function LoadAroobFile(pathName, fileName)
	String pathName		// Name of Igor symbolic path
	String fileName
	
	// First get a valid reference to a file.
	if ((strlen(pathName)==0) || (strlen(fileName)==0))
		// Display dialog looking for file.
		Variable refNum
		Open/D/R/F=".csv"/P=$pathName refNum as fileName
		fileName = S_fileName			// S_fileName is set by Open/D
		if (strlen(fileName) == 0)		// User cancelled?
			return -1
		endif
	endif

	String columnInfoStr = GetColumnInfoStr()	// This controls the wave names
	
	// /V is used to set the delimiter to comma and to skip the double-quote marks
	LoadWave/J/D/Q/O/A/B=columnInfoStr/P=aroob/E=1/K=0/V={",","\"",0,0}/L={0,498,0,0,0} fileName
	Variable numWaveLoaded = V_flag
	String path = S_fileName
	Printf "%d waves loaded from \"%s\"\r", numWaveLoaded, path
	
	return 0
End

